# TdApi.GetLogTagVerbosityLevel (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetLogTagVerbosityLevel

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetLogTagVerbosityLevel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.LogVerbosityLevel>
it.tdlight.jni.TdApi.GetLogTagVerbosityLevel

Enclosing class:
  TdApi

public static final class TdApi.GetLogTagVerbosityLevel extends TdApi.Function<TdApi.LogVerbosityLevel>
Returns current verbosity level for a specified TDLib internal log tag. Can be called synchronously.

Returns `LogVerbosityLevel`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`tag`
Logging tag to change verbosity level.

## Constructor Summary

Constructors
Constructor
Description
`GetLogTagVerbosityLevel()`
Returns current verbosity level for a specified TDLib internal log tag.
`GetLogTagVerbosityLevel(DataInput input)`
Returns current verbosity level for a specified TDLib internal log tag.
`GetLogTagVerbosityLevel(String tag)`
Returns current verbosity level for a specified TDLib internal log tag.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### tag

public String tag
Logging tag to change verbosity level.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetLogTagVerbosityLevel

public GetLogTagVerbosityLevel()
Returns current verbosity level for a specified TDLib internal log tag. Can be called synchronously.

Returns `LogVerbosityLevel`

### GetLogTagVerbosityLevel

public GetLogTagVerbosityLevel(String tag)
Returns current verbosity level for a specified TDLib internal log tag. Can be called synchronously.

Returns `LogVerbosityLevel`

Parameters:
  `tag` - String Logging tag to change verbosity level.

### GetLogTagVerbosityLevel

public GetLogTagVerbosityLevel(DataInput input) throws IOException
Returns current verbosity level for a specified TDLib internal log tag. Can be called synchronously.

Returns `LogVerbosityLevel`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`